org.eclipse.ease.ui.tools

## Class AbstractPopupItem

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractPopupItem

Direct Known Subclasses:
  AbstractPopupMenu, ModulePopupItem, ScriptPopup

    public abstract class AbstractPopupItem
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`AbstractPopupItem()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`IContributionItem` `getContribution(IServiceLocator serviceLocator)`
`abstract java.lang.String` `getDisplayName()`
`boolean` `isVisible()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractPopupItem

    public AbstractPopupItem()

### Method Detail

#### getContribution

    public IContributionItem getContribution(IServiceLocator serviceLocator)

#### isVisible

    public boolean isVisible()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getDisplayName

    public abstract java.lang.String getDisplayName()